
package com.ejie.ad74a.ws.client.prestadorWS.data;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para tipoComunicacionEnum.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="tipoComunicacionEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ALTA"/&gt;
 *     &lt;enumeration value="UPDATE"/&gt;
 *     &lt;enumeration value="DOMICILIO"/&gt;
 *     &lt;enumeration value="BAJA"/&gt;
 *     &lt;enumeration value="RECEPCION_SERVICIO_AD74A"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tipoComunicacionEnum")
@XmlEnum
public enum TipoComunicacionEnum {

    ALTA("ALTA"),
    UPDATE("UPDATE"),
    DOMICILIO("DOMICILIO"),
    BAJA("BAJA"),
    @XmlEnumValue("RECEPCION_SERVICIO_AD74A")
    RECEPCION_SERVICIO_AD_74_A("RECEPCION_SERVICIO_AD74A");
    private final String value;

    TipoComunicacionEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TipoComunicacionEnum fromValue(String v) {
        for (TipoComunicacionEnum c: TipoComunicacionEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
